package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 sys_report
 * 
 * @author ruoyi
 * @date 2022-06-20
 */
public class SysReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 施工计划id */
    @Excel(name = "施工计划id")
    private Long planId;

    /** 占用车道 */
    @Excel(name = "占用车道")
    private String lane;

    /** 预计开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 预计结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 现场负责人 */
    @Excel(name = "现场负责人")
    private String manageUser;

    /** 现场负责人手机号 */
    @Excel(name = "现场负责人手机号")
    private String managePhone;

    /** 现场安全员 */
    @Excel(name = "现场安全员")
    private String saveUser;

    /** 安全员手机号 */
    @Excel(name = "安全员手机号")
    private String savePhone;

    /** 填报人 */
    @Excel(name = "填报人")
    private String createUser;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updateUser;

    /** 是否合并 0：否 1：是 */
    @Excel(name = "是否合并 0：否 1：是")
    private String isMerge;

    /** 施工路段 */
    @Excel(name = "施工路段")
    private String section;

    /** 方向 */
    @Excel(name = "方向")
    private String direction;

    /** 开始公里桩 */
    @Excel(name = "开始公里桩")
    private String startKm;

    /** 开始百米桩 */
    @Excel(name = "开始百米桩")
    private String startHectometer;

    /** 结束公里桩 */
    @Excel(name = "结束公里桩")
    private String endKm;

    /** 结束百米桩 */
    @Excel(name = "结束百米桩")
    private String endHectometer;


    /** 施工内容一 */
    @Excel(name = "施工内容一")
    private String contentOne;

    /** 施工内容二 */
    @Excel(name = "施工内容二")
    private String contentTwo;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 冲突id */
    @Excel(name = "冲突id")
    private String clashId;

    /** 审核部门 */
    @Excel(name = "审核部门")
    private String auditDept;



    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPlanId(Long planId) 
    {
        this.planId = planId;
    }

    public Long getPlanId() 
    {
        return planId;
    }
    public void setLane(String lane) 
    {
        this.lane = lane;
    }

    public String getLane() 
    {
        return lane;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setManageUser(String manageUser) 
    {
        this.manageUser = manageUser;
    }

    public String getManageUser() 
    {
        return manageUser;
    }
    public void setManagePhone(String managePhone) 
    {
        this.managePhone = managePhone;
    }

    public String getManagePhone() 
    {
        return managePhone;
    }
    public void setSaveUser(String saveUser) 
    {
        this.saveUser = saveUser;
    }

    public String getSaveUser() 
    {
        return saveUser;
    }
    public void setSavePhone(String savePhone) 
    {
        this.savePhone = savePhone;
    }

    public String getSavePhone() 
    {
        return savePhone;
    }
    public void setCreateUser(String createUser) 
    {
        this.createUser = createUser;
    }

    public String getCreateUser() 
    {
        return createUser;
    }
    public void setUpdateUser(String updateUser) 
    {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() 
    {
        return updateUser;
    }
    public void setIsMerge(String isMerge) 
    {
        this.isMerge = isMerge;
    }

    public String getIsMerge() 
    {
        return isMerge;
    }



    public String getSection() {
        return section;
    }

    public void setSection(String section) {
        this.section = section;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public String getStartKm() {
        return startKm;
    }

    public void setStartKm(String startKm) {
        this.startKm = startKm;
    }

    public String getStartHectometer() {
        return startHectometer;
    }

    public void setStartHectometer(String startHectometer) {
        this.startHectometer = startHectometer;
    }

    public String getEndKm() {
        return endKm;
    }

    public void setEndKm(String endKm) {
        this.endKm = endKm;
    }

    public String getEndHectometer() {
        return endHectometer;
    }

    public void setEndHectometer(String endHectometer) {
        this.endHectometer = endHectometer;
    }

    public String getContentOne() {
        return contentOne;
    }

    public void setContentOne(String contentOne) {
        this.contentOne = contentOne;
    }

    public String getContentTwo() {
        return contentTwo;
    }

    public void setContentTwo(String contentTwo) {
        this.contentTwo = contentTwo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getClashId() {
        return clashId;
    }

    public void setClashId(String clashId) {
        this.clashId = clashId;
    }

    public String getAuditDept() {
        return auditDept;
    }

    public void setAuditDept(String auditDept) {
        this.auditDept = auditDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("planId", getPlanId())
            .append("lane", getLane())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("manageUser", getManageUser())
            .append("managePhone", getManagePhone())
            .append("saveUser", getSaveUser())
            .append("savePhone", getSavePhone())
            .append("createUser", getCreateUser())
            .append("createTime", getCreateTime())
            .append("updateUser", getUpdateUser())
            .append("updateTime", getUpdateTime())
            .append("isMerge", getIsMerge())
                .append("section", getSection())
                .append("direction", getDirection())
                .append("startKm", getStartKm())
                .append("startHectometer", getStartHectometer())
                .append("endKm", getEndKm())
                .append("endHectometer", getEndHectometer())
                .append("contentOne", getContentOne())
                .append("contentTwo", getContentTwo())
                .append("status", getStatus())
                .append("clashId", getClashId())
                .append("auditDept", getAuditDept())
            .toString();
    }
}
